LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (http://www.linuxquestions.org/questions/linux-software-2/)
-   -   Compiling garnome 2.14.1 fails in libgnome(undefined references to popt...) (http://www.linuxquestions.org/questions/linux-software-2/compiling-garnome-2-14-1-fails-in-libgnome-undefined-references-to-popt-443047/)

Spooled 05-09-2006 05:24 AM

Compiling garnome 2.14.1 fails in libgnome(undefined references to popt...)
 
Hello all,
I've been trying to compile garnome 2.14.1 in Mandriva 2006 and have come across this error that has me stumpted. I would really appreciate any help.
When trying to compile libgnome, it configures without error and then compiles for a few seconds before reaching these errors:
./.libs/libgnome-2.so: undefined reference to `poptBadOption@LIBPOPT_0'
./.libs/libgnome-2.so: undefined reference to `poptGetContext@LIBPOPT_0'
./.libs/libgnome-2.so: undefined reference to `poptStrerror@LIBPOPT_0'
./.libs/libgnome-2.so: undefined reference to `poptHelpOptions@LIBPOPT_0'
./.libs/libgnome-2.so: undefined reference to `poptFreeContext@LIBPOPT_0'
./.libs/libgnome-2.so: undefined reference to `poptGetNextOpt@LIBPOPT_0'
collect2: ld returned 1 exit status

It looks like it can't find popt, but it is installed, and was built through garnome as well. LD_LIBRARY_PATH is set correctly, and /home/jeff/garnome/lib/libpopt.so is present. I'm not really sure how to procede. Any ideas???

Thanks for the help!


[jeff@main libgnome-2.14.1]$ make install
Making install in libgnome
make[1]: Entering directory `/home/jeff/garnome-2.14.1/platform/libgnome/work/main.d/libgnome-2.14.1/libgnome'
make install-am
make[2]: Entering directory `/home/jeff/garnome-2.14.1/platform/libgnome/work/main.d/libgnome-2.14.1/libgnome'
/bin/sh ../libtool --mode=link cc -I/home/jeff/garnome/include -L/home/jeff/garnome/lib -O2 -pipe -Wl,--export-dynamic -L/home/jeff/garnome/lib -o gnome-open gnome-open.o libgnome-2.la -Wl,--export-dynamic -pthread -L/home/jeff/garnome/lib -lgnomevfs-2 -lgobject-2.0 -lbonobo-2 -lbonobo-activation -lgconf-2 -lORBit-2 -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0 -lesd -laudiofile -lm -lpopt
cc -I/home/jeff/garnome/include -O2 -pipe -Wl,--export-dynamic -o .libs/gnome-open gnome-open.o -Wl,--export-dynamic -pthread -L/home/jeff/garnome/lib ./.libs/libgnome-2.so /home/jeff/garnome/lib/libgnomevfs-2.so /home/jeff/garnome/lib/libxml2.so -lz -lssl -lcrypto -lresolv -lutil -lrt /home/jeff/garnome/lib/libbonobo-2.so /home/jeff/garnome/lib/libbonobo-activation.so /home/jeff/garnome/lib/libORBitCosNaming-2.so /home/jeff/garnome/lib/libgconf-2.so /home/jeff/garnome/lib/libORBit-2.so /usr/lib/libpopt.so /home/jeff/garnome/lib/libgobject-2.0.so /home/jeff/garnome/lib/libgmodule-2.0.so /home/jeff/garnome/lib/libgthread-2.0.so /home/jeff/garnome/lib/libglib-2.0.so /home/jeff/garnome/lib/libesd.so /usr/lib/libasound.so -ldl -lpthread /home/jeff/garnome/lib/libaudiofile.so -lm /home/jeff/garnome/lib/libpopt.so -Wl,--rpath -Wl,/home/jeff/garnome/lib
./.libs/libgnome-2.so: undefined reference to `poptBadOption@LIBPOPT_0'
./.libs/libgnome-2.so: undefined reference to `poptGetContext@LIBPOPT_0'
./.libs/libgnome-2.so: undefined reference to `poptStrerror@LIBPOPT_0'
./.libs/libgnome-2.so: undefined reference to `poptHelpOptions@LIBPOPT_0'
./.libs/libgnome-2.so: undefined reference to `poptFreeContext@LIBPOPT_0'
./.libs/libgnome-2.so: undefined reference to `poptGetNextOpt@LIBPOPT_0'
collect2: ld returned 1 exit status
make[2]: *** [gnome-open] Error 1
make[2]: Leaving directory `/home/jeff/garnome-2.14.1/platform/libgnome/work/main.d/libgnome-2.14.1/libgnome'
make[1]: *** [install] Error 2
make[1]: Leaving directory `/home/jeff/garnome-2.14.1/platform/libgnome/work/main.d/libgnome-2.14.1/libgnome'
make: *** [install-recursive] Error 1
[jeff@main libgnome-2.14.1]$

Spooled 05-10-2006 08:11 PM

Never mind...I'm an idiot...
I thought garnome was using the version of popt that it compiled, but it wasn't.
Updated popt to 1.10.4 and it worked fine.
Duh...

tomdkat 05-10-2006 08:14 PM

Try upgrading to popt 1.10.4 and see if that helps... :)

Peace...


All times are GMT -5. The time now is 04:46 PM.